import request from '@/utils/request'

// 查询版本列表
export function listVersion(query,data) {
  return request({
    url: 'api/v1/ygp/system/version/list',
    method: 'post',
    params: query,
    data:data,
  })
}

// 修改角色
export function updateVersion(data) {
    return request({
      url: 'api/v1/ygp/system/version/edit',
      method: 'post',
      data: data
    })
}

// 新增版本
export function addVersion(data) {
    return request({
      url: 'api/v1/ygp/system/version/add',
      method: 'post',
      data: data
    })
}

// 修改查询
export function getVersionDetail(data) {
    return request({
      url: 'api/v1/ygp/system/versionMenuTreeselect',
      method: 'post',
      data: data
    })
}

// 删除版本
export function deleteVersion(data) {
    return request({
      url: 'api/v1/ygp/system/version/delete',
      method: 'post',
      data: data
    })
}

